Error after trying to update imagemagick6

I did : pamac update and and got some errors of signatures.No idea what that means:

Making package: imagemagick6 6.9.12.42-1 (Tue 29 Mar 2022 11:12:29 BST)
==> Checking runtime dependencies…
==> Checking buildtime dependencies…
==> Retrieving sources…
→ Found ImageMagick-6.9.12-42.tar.gz
→ Found ImageMagick-6.9.12-42.tar.gz.asc
→ Found arch-fonts.diff
==> Validating source files with sha256sums…
ImageMagick-6.9.12-42.tar.gz … Passed
ImageMagick-6.9.12-42.tar.gz.asc … Skipped
arch-fonts.diff … Passed
==> Verifying source file signatures with gpg…
ImageMagick-6.9.12-42.tar.gz … FAILED (unknown public key 89AB63D48277377A)
==> ERROR: One or more PGP signatures could not be verified!
Error: Failed to build imagemagick6

That does not exist anymore. You can remove it.
imagemagick is version 7 now and provided via repositories.

2 Likes

OK, thanks. I didn’t ask for it just was part of the package…

Pinned right at the top of the #support:aur category:

Are you sure? :wink:

Not me, pamac :crazy_face:

image

imagemagick6 is the old pkgbase from when it was in the Arch repos, libmagick6 is the pkgname. That’s why Pamac can’t find it since there’s no package named imagemagick6.

1 Like

that is what is said and also she said :rofl:

My info was not so complete as yours, but regardless. Glad the OP got the answer and can Mark the “issue” as solved. :smile:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.